/* -----------------------------------------------------------
	#preloading
----------------------------------------------------------- */
@-moz-keyframes maskingLoadding {
	0% {
		width: 0;
		left: 0;
		right: auto;
	}
	40%,
	60% {
		width: 100%;
	}
	100% {
		width: 0;
		left: auto;
		right: 0;
	}
}

@-webkit-keyframes maskingLoadding {
	0% {
		width: 0;
		left: 0;
		right: auto;
	}
	40%,
	60% {
		width: 100%;
	}
	100% {
		width: 0;
		left: auto;
		right: 0;
	}
}

@-o-keyframes maskingLoadding {
	0% {
		width: 0;
		left: 0;
		right: auto;
	}
	40%,
	60% {
		width: 100%;
	}
	100% {
		width: 0;
		left: auto;
		right: 0;
	}
}

@-ms-keyframes maskingLoadding {
	0% {
		width: 0;
		left: 0;
		right: auto;
	}
	40%,
	60% {
		width: 100%;
	}
	100% {
		width: 0;
		left: auto;
		right: 0;
	}
}

@keyframes maskingLoadding {
	0% {
		width: 0;
		left: 0;
		right: auto;
	}
	40%,
	60% {
		width: 100%;
	}
	100% {
		width: 0;
		left: auto;
		right: 0;
	}
}

.no_scroll {
	height: 100vh;
	overflow: hidden;
}

.is_hello #preloading .masking {
	-webkit-animation: maskingLoadding 2.5s cubic-bezier(0.77, 0, 0.175, 1) 0s 1 normal;
	-moz-animation: maskingLoadding 2.5s cubic-bezier(0.77, 0, 0.175, 1) 0s 1 normal;
	-ms-animation: maskingLoadding 2.5s cubic-bezier(0.77, 0, 0.175, 1) 0s 1 normal;
	-o-animation: maskingLoadding 2.5s cubic-bezier(0.77, 0, 0.175, 1) 0s 1 normal;
	animation: maskingLoadding 2.5s cubic-bezier(0.77, 0, 0.175, 1) 0s 1 normal;
}

.is_hello #preloading .logo a {
	-webkit-transform: translate(20px, 0);
	-moz-transform: translate(20px, 0);
	-ms-transform: translate(20px, 0);
	-o-transform: translate(20px, 0);
	transform: translate(20px, 0);
}

#preloading {
	display: block;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #fff;
	z-index: 9999;
}

#preloading .masking {
	display: block;
	content: '';
	position: absolute;
	top: 0;
	width: 0;
	height: 100%;
	background: #654784;
}

#preloading .logo {
	opacity: 0;
	position: absolute;
	left: 0;
	top: 50%;
	-webkit-transform: translate(0, -50%);
	-moz-transform: translate(0, -50%);
	-ms-transform: translate(0, -50%);
	-o-transform: translate(0, -50%);
	transform: translate(0, -50%);
	width: 100%;
	font-size: 40px;
	color: #000;
	text-align: center;
	-webkit-transition: all 0.4s ease;
	-moz-transition: all 0.4s ease;
	-o-transition: all 0.4s ease;
	transition: all 0.4s ease;
}

@media only screen and (max-width: 1024px) {
	#preloading .logo {
		padding: 80px 2.5%;
	}
}

@media only screen and (max-width: 767px) {
	#preloading .logo {
		padding: 12% 2.5%;
	}
}

#preloading .logo a {
	display: inline-block;
	vertical-align: middle;
	text-decoration: none;
	-webkit-transform: translate(-20px, 0);
	-moz-transform: translate(-20px, 0);
	-ms-transform: translate(-20px, 0);
	-o-transform: translate(-20px, 0);
	transform: translate(-20px, 0);
	-webkit-transition: all 5s ease;
	-moz-transition: all 5s ease;
	-o-transition: all 5s ease;
	transition: all 5s ease;
}
